LettermintLettermint
  • Knowledge base
  • Community
  • Changelog
  • Support
  • Documentation
  • Sending API
  • Team API
Information
Core
    Generic
      Ping the APIgetList blocked file typesget
    Team
      Get team detailsgetUpdate team settingsputGet team usage statisticsgetGet reusable team rolesgetGet team membersgetGet a team membergetReplace a team member's assignmentput
    Stats
      Get message statisticsget
Email Platform
    Domain
      List all domains for the teamgetCreate a new domainpostGet domain detailsgetDelete a domaindeleteVerify all DNS records for a domainpostVerify a specific DNS recordpostUpdate projects associated with a domainput
    Project
      List all projects for the teamgetCreate a new projectpostGet project detailsgetUpdate project settingsputDelete a projectdeleteRotate Project API token (legacy)postList routes for a projectgetCreate a new routepostGet route detailsgetUpdate route settingsputDelete a routedeleteVerify inbound domain for a routepost
    Webhook
      List all webhooks for the teamgetCreate a new webhookpostGet webhook detailsgetUpdate webhook settingsputDelete a webhookdeleteTest a webhook by sending a sample payloadpostRegenerate webhook secretpostGet webhook deliveriesgetGet a specific webhook deliveryget
    Message
      List messages for the teamgetGet message detailsgetGet message eventsgetGet message sourcegetGet message HTML contentgetGet message plain text contentget
    Suppression
      List all suppressions for the teamgetAdd email(s) to suppression listpostRemove email from suppression listdelete
Schemas
Lettermint Team API
Lettermint Team API

Suppression

Download schema

List all suppressions for the team

GET
https://api.lettermint.co/v1
/suppressions
Bearer

List all suppressions for the team › query Parameters

page[size]
​integer

The number of results that will be returned per page.

Default: 30
page[cursor]
​string

The cursor to start the pagination from.

sort
​string[]
Enum values:
value
-value
created_at
-created_at
reason
-reason
Default: ["-created_at"]
filter[scope]
​string

Filter by scope (team, project, route)

filter[route_id]
​string

Filter by route ID

filter[project_id]
​string

Filter by project ID

filter[value]
​string

Search by email/domain value (partial match)

filter[reason]
​SuppressionReason · enum
Enum values:
spam_complaint
hard_bounce
unsubscribe
manual
filter[startDate]
​string

Filter suppressions created or updated on or after this ISO 8601 date or datetime

filter[endDate]
​string

Filter suppressions created or updated on or before this ISO 8601 date or datetime

List all suppressions for the team › Headers

Authorization
​string · required

Bearer token. Format: Bearer {team_token}

List all suppressions for the team › Responses

Paginated set of SuppressedRecipientData

​SuppressedRecipientData[] · required
path
​string | null · required

Base path for paginator generated URLs.

per_page
​integer · min: 0 · required

Number of items shown per page.

next_cursor
​string | null · required

The "cursor" that points to the next set of items.

next_page_url
​string | null · uri · required
prev_cursor
​string | null · required

The "cursor" that points to the previous set of items.

prev_page_url
​string | null · uri · required
GET/suppressions
curl https://api.lettermint.co/v1/suppressions \ --header 'Authorization: Bearer <token>'
Example Responses
{ "data": [ { "id": "id", "type": "email", "value": "value", "reason": "spam_complaint", "scope": "global", "project_id": "project_id", "route_id": "route_id", "created_at": "2024-08-25T15:00:00Z", "updated_at": "2024-08-25T15:00:00Z" } ], "path": "path", "per_page": 0, "next_cursor": "next_cursor", "next_page_url": "https://www.example.com/path/to/resource", "prev_cursor": "prev_cursor", "prev_page_url": "https://www.example.com/path/to/resource" }
json
application/json

Add email(s) to suppression list

POST
https://api.lettermint.co/v1
/suppressions
Bearer

Add email(s) to suppression list › Headers

Authorization
​string · required

Bearer token. Format: Bearer {team_token}

Add email(s) to suppression list › Request Body

StoreSuppressionData
reason
​SuppressionReason · enum · required
Enum values:
spam_complaint
hard_bounce
unsubscribe
manual
scope
​SuppressionScope · enum · required
Enum values:
global
team
project
route
email
​string | null · email · maxLength: 255
emails
​array | null · minItems: 1 · maxItems: 1000
route_id
​string | null · uuid
project_id
​string | null · uuid

Add email(s) to suppression list › Responses

​required
​object · required
POST/suppressions
curl https://api.lettermint.co/v1/suppressions \ --request POST \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "email": "test@example.com", "emails": [ "test@example.com" ], "reason": "spam_complaint", "scope": "global", "route_id": "00000000-0000-0000-0000-000000000000", "project_id": "00000000-0000-0000-0000-000000000000" }'
Example Request Body
{ "email": "test@example.com", "emails": [ "test@example.com" ], "reason": "spam_complaint", "scope": "global", "route_id": "00000000-0000-0000-0000-000000000000", "project_id": "00000000-0000-0000-0000-000000000000" }
json
Example Responses
{ "message": "string", "data": { "created": [ "string" ], "skipped": [ "string" ] } }
json
application/json

Remove email from suppression list

DELETE
https://api.lettermint.co/v1
/suppressions/{suppressionId}
Bearer

Remove email from suppression list › path Parameters

suppressionId
​string · required

Remove email from suppression list › Headers

Authorization
​string · required

Bearer token. Format: Bearer {team_token}

Remove email from suppression list › Responses

Suppression removed

success
​boolean · required
status
​string · const · required
Const value: removed
message
​string · required
confidence
​number
DELETE/suppressions/{suppressionId}
curl https://api.lettermint.co/v1/suppressions/:suppressionId \ --request DELETE \ --header 'Authorization: Bearer <token>'
Example Responses
{ "success": true, "status": "removed", "message": "message", "confidence": 0 }
json
application/json

Message